API referenceRag
Search
Authorization
apiKey AuthorizationBearer <token>
Workspace API key created in Workspace settings → API keys. Scopes on the key bound what it can read and write.
In: header
Path Parameters
workspaceId*string
chatId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/workspaces/string/rag/chats/string/search" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "data": { "query": "string", "results": [ { "chunkId": "string", "sourceKind": "page", "sourceId": "string", "sourceLabel": "string", "chunkIndex": 0, "content": "string", "score": 0, "citation": "string" } ] }}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}{ "_tag": "ApiNotFound", "error": "not_found", "message": "That item does not exist, or this key cannot see it.", "status": 404}